import { Panel } from '@phosphor/widgets';
import { RenderMime } from '@jupyterlab/rendermime';
import { HTMLManager } from './htmlmanager';
export declare const WIDGET_MIMETYPE = "application/vnd.jupyter.widget-view+json";
export declare class WidgetRenderer implements RenderMime.IRenderer {
    constructor(widget_manager: HTMLManager);
    canRender(options: RenderMime.IRenderOptions): boolean;
    wouldSanitize(options: RenderMime.IRenderOptions): boolean;
    render(options: RenderMime.IRenderOptions): Panel;
    private _manager;
    mimeTypes: string[];
}
